Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Interface VReadOnlyColumnConfiguration

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTableColumnConfiguration

All Known Implementing Classes:
  VReadOnlyColumnConfigurationImpl

    public interface VReadOnlyColumnConfiguration

extends VTableColumnConfiguration

A representation of the model object 'Read Only Column Configuration'.

The following features are supported:

- `Column Domain References`

See Also:
  `VTablePackage.getReadOnlyColumnConfiguration()`

Method Summary
`org.eclipse.emf.common.util.EList<VDomainModelReference>` | `getColumnDomainReferences()` Returns the value of the 'Column Domain References' reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnDomainReferences

    org.eclipse.emf.common.util.EList<VDomainModelReference> getColumnDomainReferences()

  Returns the value of the 'Column Domain References' reference list. The list contents are of type `VDomainModelReference`.

  If the meaning of the 'Column Domain References' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Domain References' reference list.
  See Also:
    `VTablePackage.getReadOnlyColumnConfiguration_ColumnDomainReferences()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.